This is a migrated thread and some comments may be shown as answers.
Assembly uses which has a higher version than referenced assembly
2 Answers 39 Views
This is a migrated thread and some comments may be shown as answers.
Amr
Top achievements
Rank 1
Amr asked on 20 Nov 2018, 06:58 PM

I'm getting this build error every time I try to add a RadGridView to one of my forms, this issue seems to be appeared after changing the project's target framework from 3.5 to 4.5. Can you please help?

Assembly 'Telerik.WinControls.GridView, Version=2016.2.503.40, Culture=neutral, PublicKeyToken=5bb2a467cbec794e' uses 'Telerik.WinControls, Version=2016.2.503.40, Culture=neutral, PublicKeyToken=5bb2a467cbec794e' which has a higher version than referenced assembly 'Telerik.WinControls, Version=2016.2.503.20, Culture=neutral, PublicKeyToken=5bb2a467cbec794e' c:\Program Files (x86)\Telerik\UI for WinForms Q2 2016\Bin40\Telerik.WinControls.GridView.dll

2 Answers, 1 is accepted

Sort by
0
Amr
Top achievements
Rank 1
answered on 20 Nov 2018, 07:32 PM
Solved by Telerik UI --> Upgrade Wizard
0
Dimitar
Telerik team
answered on 21 Nov 2018, 11:10 AM
Hi Amr,

I am glad that this works now. Please note that the assemblies version indicates their target framework as well. The ones that end with 40 are for .NET 4.0 or newer.

Do not hesitate to contact us if you have other questions.
 
Regards,
Dimitar
Progress Telerik
Get quickly onboard and successful with your Telerik and/or Kendo UI products with the Virtual Classroom free technical training, available to all active customers. Learn More.
Asked by
Amr
Top achievements
Rank 1
Answers by
Amr
Top achievements
Rank 1
Dimitar
Telerik team
Share this question
or